Bug 1265590 - Openstack infra provider refresh depends on the associated cloud provider status
Openstack infra provider refresh depends on the associated cloud provider status
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.4.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Ladislav Smola
Milan Falešník
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-23 06:10 EDT by Marius Cornea
Modified: 2015-12-08 08:32 EST (History)
5 users (show)

See Also:
Fixed In Version: 5.5.0.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:32:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2551 normal SHIPPED_LIVE Moderate: CFME 5.5.0 bug fixes and enhancement update 2015-12-08 12:58:09 EST

  None (edit)
Description Marius Cornea 2015-09-23 06:10:59 EDT
Description of problem:
Openstack infra provider refresh depends on the associated cloud provider status. For example if the Openstack Cloud provider which is associated to the infra provider cannot be reached the refresh for the infra provider will show a 'Errno::EHOSTUNREACH' which actually refers to the cloud provider. Same thing goes for other errors such as authentication.
 

Version-Release number of selected component (if applicable):
5.4.2

How reproducible:
100%

Steps to Reproduce:
1. Add Openstack Infra provider
2. Add Openstack Cloud provider and associate it to the infra provider added in step 1
3. Bring down the cloud provider added in step 2
4. Run refresh on the infra provider

Actual results:
Refresh fails with the error message of the cloud provider

Expected results:
Refresh completes ok.

Additional info:
Comment 2 Ladislav Smola 2015-10-30 04:41:28 EDT
@marius I just tested this and it appears to be fixed

this is the upstream fix https://github.com/ManageIQ/manageiq/pull/2790
Comment 3 Marius Cornea 2015-10-30 04:48:33 EDT
Yep, looks so but that the patch is not present in the downstream 5.4 product.
Comment 4 Milan Falešník 2015-11-13 09:46:05 EST
I have verified this in 5.5.0.10. I have added and refreshed both Openstack providers, then I blocked the Overcloud IP in the firewalld and ran a refresh on the infra provider.
Comment 6 errata-xmlrpc 2015-12-08 08:32:55 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.